# Optional parameters in setting up EPEL
class epel::params {
  # Setting to 'absent' will fall back to the yum.conf
  # Setting proxy here will be the default for all repos.
  #
  #  If you wish to set a proxy for an individual set of repos,
  #   you can declare $proxy in that class, and should scope to
  #   the most specific declaration of proxy.
  $proxy = 'absent'

  $epel_mirrorlist                        = 'absent'
  $epel_baseurl                           = 'http://ftp.wa.co.za/pub/epel/${::os_maj_version}/\$basearch'
  $epel_failovermethod                    = 'priority'
  $epel_proxy                             = $proxy
  $epel_enabled                           = '1'
  $epel_gpgcheck                          = '1'
  $epel_source_mirrorlist                 = 'absent'
  $epel_source_baseurl                    = 'http://ftp.wa.co.za/pub/epel/${::os_maj_version}/SRPMS'
  $epel_source_failovermethod             = 'priority'
  $epel_source_proxy                      = $proxy
  $epel_source_enabled                    = '0'
  $epel_source_gpgcheck                   = '1'
  # removed all debug and testing optons
}
